# jitsi-quick

## pre-requisites:
* have a public ip
* point a dns entry to your public ip
* change said dns entry in the variables file in the line "jitsi_http_domain"
* a basic knowledge of docker and ansible will get a long way with this accrocchio

---
install packages:


    apt install git ansible

or

    yum install -y epel-release && yum install git ansible


and

    git clone https://git.lattuga.net/panda/jitsi-quick

    cd jitsi-quick

    ansible-playbook ansible-jitsi.yml
    
## settings:
in variables.yml are set some useful things:
* hostname: that will be given to your machine
* timezone: self-explanatory
* jitsi_latest_stable: I wanted it to be harcoded since if you pull the default image is the TESTING one
* jitsi_http_domain: your domain
* jitsi_letsencrypt_email: your email


## custom plugin:
if you wish to install a custom plugin, for example token_moderation:

add

    XMPP_MUC_MODULES=token_moderation
    
to your env file (repo/env.j2)

    cd docker-jitsi-meet
    docker-compose stop
    cd ..
    git clone https://github.com/nvonahsen/jitsi-token-moderation-plugin
    cp jitsi-token-moderation-plugin/mod_token_moderation.lua .jitsi-meet-cfg/prosody/prosody-plugins-custom/
    chown 101 .jitsi-meet-cfg/prosody/prosody-plugins-custom/mod_token_moderation.lua
    cd docker-jitsi-meet
    docker-compose start

## custom toolbar buttons:
in your env file (repo/env.j2) add/edit this line:

    TOOLBAR_BUTTONS=camera,closedcaptions,desktop,download,feedback,filmstrip,fullscreen,hangup,help,invite,microphone,mute-everyone,mute-video-everyone,participants-pane,profile,raisehand,security,settings,shareaudio,shortcuts,stats,tileview,toggle-camera,videoquality
EOF


## rollback:
if your deploy has been succesfull but you want to go back to a (docker) clean state:

    cd ..
    cd docker-jitsi-meet/
    docker-compose down
    cd ..
    rm -rf docker-jitsi-meet .jitsi-meet-cfg
    cd jitsi-quick
    
## beware of:
this deploy is quick and dirty, so you won't have a very talkative playbook,
for example if you deploy with the default domain "test.domain.net" the deploy will fail without notice,
to be more aware of what's happening you can look at the logs:

    cd ..
    cd docker-jitsi-meet/
    docker-compose logs --follow

    
## tested on:
* debian 11 (extensively)
* centos 7 (well)
* amazon linux 2 (sorta, done changes after that so.. beware)
* ubuntu (not, I've copied some working roles but am not using it on servers so..)

## not tested on:
* animals